Skip to main content
GET
/
monitors
/
{monitor_id}
/
events
List events for monitor
curl --request GET \
  --url https://api.dnsradar.dev/monitors/{monitor_id}/events \
  --header 'X-Api-Key: <api-key>'
{
  "limit": 20,
  "after": "<string>",
  "before": "<string>",
  "has_more": true,
  "data": [
    {
      "id": "evt_abc123...",
      "monitor_id": "mon_abc123...",
      "monitor": {
        "domain": "example.com",
        "subdomain": "www",
        "record_type": "A",
        "expected_value": [
          "192.168.1.1"
        ]
      },
      "occurred": "2023-11-07T05:31:56Z",
      "previous_value": [
        "192.168.1.1"
      ],
      "current_value": [
        "10.0.0.1"
      ],
      "old_state": "MISMATCH",
      "new_state": "VALID",
      "incidence_count": 0
    }
  ]
}
An events is recorded each time a DNS change is detected for the monitor or when a monitor stays on an invalid state. In that last case, the incidence_count increases and triggers an event.

You can filter the events by either occurred_before or occurred_after, as UTC Timestamps.
You can use the pagination parameters to navigate through the list of events.

Authorizations

X-Api-Key
string
header
required

API key used to authenticate yourself on DNSRadar. Obtain your API key from your DNSRadar dashboard.

Path Parameters

monitor_id
string
required

Monitor UUID

Query Parameters

after
string

Cursor for fetching the next page of results. Use the value from the previous response's 'after' field.

before
string

Cursor for fetching the previous page of results. Use the value from the previous response's 'before' field.

limit
integer
default:20

Number of items per page (1-100, default: 20)

Required range: 1 <= x <= 100
order_by
string

Field to order results by

order_way
enum<string>
default:asc

Sort direction

Available options:
asc,
desc
occurred_before
integer<int64>

Filter events that occurred before this UTC timestamp

occurred_after
integer<int64>

Filter events that occurred after this UTC timestamp

old_state
enum<string>

Filter events by old state

Available options:
UNSET,
VALID,
INVALID,
TIMEOUT,
MISMATCH,
NOT_FOUND,
NO_DATA,
BAD_SETUP
new_state
enum<string>

Filter events by new state

Available options:
VALID,
INVALID,
TIMEOUT,
MISMATCH,
NOT_FOUND,
NO_DATA,
BAD_SETUP

Response

Paginated list of events

Paginated response wrapper for list endpoints. Uses cursor-based pagination with after/before parameters.

limit
integer

Number of items per page (max 100)

Example:

20

after
string | null

Cursor to fetch the next page of results

before
string | null

Cursor to fetch the previous page of results

has_more
boolean

Indicates if there are more items to fetch

data
object[]

Array of items for the current page